diff --git a/modules/ratelimit/ratelimit.c b/modules/ratelimit/ratelimit.c
index 711f5a270d1..3c268ca4d88 100644
--- a/modules/ratelimit/ratelimit.c
+++ b/modules/ratelimit/ratelimit.c
@@ -55,7 +55,7 @@ gen_lock_t * rl_lock;
 static double * rl_load_value;     /* actual load, used by PIPE_ALGO_FEEDBACK */
 static double * pid_kp, * pid_ki, * pid_kd, * pid_setpoint; /* PID tuning params */
 static int * drop_rate;         /* updated by PIPE_ALGO_FEEDBACK */
-static int *rl_feedback_limit;
+int *rl_feedback_limit;
 
 int * rl_network_load;	/* network load */
 int * rl_network_count;	/* flag for counting network algo users */
diff --git a/modules/ratelimit/ratelimit.h b/modules/ratelimit/ratelimit.h
index 79474dd5fc9..66b84256917 100644
--- a/modules/ratelimit/ratelimit.h
+++ b/modules/ratelimit/ratelimit.h
@@ -99,6 +99,7 @@ extern int rl_timer_interval;
 extern int rl_limit_per_interval;
 extern int rl_expire_time;
 extern unsigned int rl_hash_size;
+extern int *rl_feedback_limit;
 extern int *rl_network_count;
 extern int *rl_network_load;
 extern str rl_default_algo_s;
diff --git a/modules/ratelimit/ratelimit_helper.c b/modules/ratelimit/ratelimit_helper.c
index 3865c6c5730..8fd9b5cd99f 100644
--- a/modules/ratelimit/ratelimit_helper.c
+++ b/modules/ratelimit/ratelimit_helper.c
@@ -56,7 +56,7 @@ static rl_algo_t get_rl_algo(str);
 rl_big_htable rl_htable;
 
 /* feedback algorithm */
-static int *rl_feedback_limit;
+int *rl_feedback_limit;
 
 static cachedb_funcs cdbf;
 static cachedb_con *cdbc = 0;
